version-check.sh for glibc on Debian/Ubuntu

Bruce Dubbs bruce.dubbs at gmail.com
Mon Feb 22 08:49:55 PST 2010


Grant Bowman wrote:
> Hello all.  Thanks for all your work on LFS.  Below are two
> alternative patches for version-check.sh in LFS 6.6rc2.  I needed
> something because the glibc version was cut off on both a Debian
> testing/squeeze netinst machine with glibc 2.10.2 and Ubuntu 9.10
> Karmic machine with glibc 2.10.1.
> 
> 6.6rc2 output: GNU C Library (EGLIBC) stable release version
> 
> patch 1 output: GNU C Library (EGLIBC) stable release version 2.10.1,
> 
> Instead of using cut on spaces, the second patch uses the comma which
> seems better to me.  Testing on other platforms and with other glibc
> versions is needed.
> 
> patch 2 output: GNU C Library (EGLIBC) stable release version 2.10.1

> +/lib/libc.so.6 | head -n1 | cut -d"," -f1

OK, I'll change it to use the comma.

   -- Bruce



More information about the lfs-dev mailing list